Skip to Content
APIComputeFlavors

Flavors

Flavors define the compute size for an instance, including vCPU, memory, and root disk size.

Use flavors when creating an instance.


Endpoint

GET /v1/flavors

Example

curl https://api.redu.cloud/v1/flavors \ -H "x-api-key: YOUR_API_KEY"

Successful response

{ "items": [ { "id": "1", "name": "m1.tiny", "vcpus": 1, "ram_mb": 512, "disk_gb": 1 }, { "id": "2", "name": "m1.small", "vcpus": 1, "ram_mb": 2048, "disk_gb": 20 }, { "id": "3", "name": "m1.medium", "vcpus": 2, "ram_mb": 4096, "disk_gb": 40 }, { "id": "4", "name": "m1.large", "vcpus": 4, "ram_mb": 8192, "disk_gb": 80 }, { "id": "5", "name": "m1.xlarge", "vcpus": 8, "ram_mb": 16384, "disk_gb": 160 } ], "next_cursor": null }

Fields

FieldTypeDescription
idstringUnique flavor ID
namestringFlavor name, such as m1.small
vcpusintegerNumber of virtual CPUs
ram_mbintegerMemory in MB
disk_gbintegerRoot disk size in GB

Errors

401 Unauthorized

{ "error": { "code": "unauthorized", "message": "Invalid API key" } }

403 Forbidden

The API key does not have access to the requested resource.

Last updated on